package midp.shopper;

public class Locale
{
    final String[] categories;
    final String[][] products;
    final String[] actionNames;
    final String[] resetTypes;
    final String[] resetExplanation;
    final String name;
    final String back;
    final String add;
    final String remove;
    final String enter;
    final String select;
    final String need;
    final String groups;
    final String reset;
    final String error;
    final String rename;
    final String quit;

    final String notEmpty;
    final String predefinedCategory;
    final String[] categoryIcons;

    static Locale current;

    Locale(String locale) {
        current = this;
        if (locale.startsWith("ru")) 
        {
            categories = new String[]
                {
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "- ", 
                    "",
                    ". ",
                    " ",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "",
                };

            products = new String[][]
                {
                    { " ", "׸ ", "", " ", "", "", "", "", "", ""},
                    { "", "", "", "", "", " .", "", "", "", ". ", "", "", ". ", "" },
                    { "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", " ", "", "", "", "", "", " " },
                    { "", "", "", "", " /", " .", "", "", "", "", "", "", "", " ", "", "-", "", "" },
                    { "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" },
                    { "", "", "", "", "", " .", " .", " .", "" },
                    { "", "", "", "", "", "", "", "", "", "", "" },
                    { "", "", "", "", "", "", "-", "", "" },
                    { "", " ", "", "", "", "", "", "", "", "", "" },
                    { "", "", "", " ", " ", " .", " .", " ", "", "", "", " "},
                    { "", "", "", "/. ", "/. ", " .", "  .", " .", " .", "" },
                    { " ", " ", " ", " .", " .", "  ", "  ", "  ", "  ", " .", " .", "  ", "  ", "  ", "  ", "  ", "  ", " ", " ", "  ", "", "  ", "  ", "   ", "", "", " ", "  " },
                    { "", "", "", "", "", "", " ", " ", "" },
                    { "  .", "  .", " /", "-   ", "  ", "-   ", "-   ", "", "", " ", "", "" },
                    { "", "", "", "", "", "", "", "", "" },
                    { "", "", "", "", "", "", "", "", "" },
                    { "DVD", "VHS", "CD", "CD-R", "  ", "  " },
                    { " ", "", "", "", "", " ", "", "" },
                    { "", "", "", "", "", "", "", "", "", "", "", "", " .", "" },
                    { "", "", "", "", "", "", "", " ", "", "", "", "", "", "", "", "" },
                    { " /", " ", " ", " ", " ", "", "", "", "", "", "", ""  },
                    { "", " ", "", "", "", " " },
                    { "", "", "", "", "", "" },
                };

            actionNames = new String[]
                {
                    " ",
                    " ",
                    ""
                };

            resetTypes = new String[]
                {
                    "",
                    " ",
                    " "
                };

            resetExplanation = new String[]
                {
                    " ",
                    "  ",
                    " "
                };

            name   = " ";
            back   = "";
            add    = "";
            remove = "";
            enter  = "";
            need   = " :";
            groups = "";
            reset  = "";
            error  = "";
            rename = "";
            quit   = "";
            select = "";


            notEmpty = "     ";
            predefinedCategory = "   ";

            categoryIcons = new String[] 
                {
                    "boulangerie",
                    "dairy",
                    "epicerie",
                    "legumes",
                    "fruits",
                    "boucherie",
                    "poissonnerie",
                    "sweets",
                    "boissons",
                    "conserves",
                    "frozen",
                    "hygiene",
                    "pharmacie",
                    "cleaning",
                    "bricolage",
                    "papeterie",
                    "informatique",
                    "automobile",
                    "habillement",
                    "kitchen",
                    "linge",
                    "accessoires",
                    "jardinage",
                };

        } 
        else if (locale.startsWith("uk")) 
        {
            categories = new String[]
                {
                    "i",
                    "",
                    "i",
                    "i",
                    "",
                    "'",
                    "",
                    "i",
                    "",
                    "",
                    "",
                    " ii", 
                    "",
                    " ii",
                    "i ",
                    "",
                    "i",
                    "",
                    "",
                    "",
                    "",
                    "",
                    "i",
                };

            products = new String[][] 
                {
                    { "i i", " i", "", "ii i", "i", "", "", "", "", ""},
                    { "", "i", "", "", " ", "", "", "", "", "i ", "", "", " ", "" },
                    { "", "i", "", "", "", "", "i", "", "", "", "", "", "", "", "", "i", "i", "i", "", "i", "", "", "", "i", "ii", "i " },
                    { "", "", "", "", " /", " i", "i", "i", "i", "i", "", "i", "", " ", "", "-i", "", "" },
                    { "", "i", "", "", "", "", "", "ii", "", "", "", "", "", "", "", "", "", "", "", "i" },
                    { "", "", "", "I", "", " i", " ", " ", "" },
                    { "", "", "i", "", "", "", "", "", "", "", "ii" },
                    { "", "i", "", "i", "", "i", "-", "", "" },
                    { "", "i ", "i", "", "", "i", "", "", "i", "ii", "" },
                    { "", "", "", " ", "i ", "i .", " .", "i ", "I", "", "i", " "},
                    { "i", "", "i", "i. i", "i. 'i", "i .", "  .", " ", "-", "" },
                    { " i", " ", " ", " .", " .", "  ", "  ", "  ", "i  ", " .", " i.", "  ", "  i", " i i", "  ", "  i", "  i", " ", " i", "  i", "", "i  ", "  ii", "i   ", "", "", " i", "  ii :)" },
                    { "i", "i", "i", "ii", "", "", "ii ", "'i i", "i" },
                    { "  .", "  .", "i /i", "i   ", "  ", "i   i", "i   ", "i", "i", "i i", "", "i" },
                    { "", "", "I", "", "", "", "", "i", "" },
                    { "", "", "", "", "", "", "i", "", "ii" },
                    { "DVD", "VHS", "CD", "CD-R", "i  ", "i  " },
                    { " i", "i", "", "", "i", " i", "i", "" },
                    { "", "", "i", "", "", "", "", "", "", "", "", "", " .", "" },
                    { "", "", "", "", "", "i", "i", " i", "i", "", "", "", "", "", "", "" },
                    { " /", " ", " ", "", "i i", "", "", "", "", "", "", ""  },
                    { "", "i ", "", "", "", " " },
                    { "i", "", "", "I", "", "" },
                };
            
            actionNames = new String[]
                {
                    " ",
                    "i ",
                    "",
                    "",
                    ""
                };

            resetTypes = new String[]
                {
                    "i",
                    " ",
                    "i "
                };

            resetExplanation = new String[]
                {
                    "  ",
                    "i  i",
                    "i "
                };

            name   = " ";
            back   = "";
            add    = "";
            remove = "";
            enter  = "i";
            need   = " :";
            groups = "i";
            reset  = "";
            error  = "";
            rename = "";
            quit   = "";
            select = "i";
            notEmpty = " ii i   i";
            predefinedCategory = " i  ";

            /* Icons for groups */
            categoryIcons = new String[] 
                {
                    "boulangerie",
                    "dairy",
                    "epicerie",
                    "legumes",
                    "fruits",
                    "boucherie",
                    "poissonnerie",
                    "sweets",
                    "boissons",
                    "conserves",
                    "frozen",
                    "hygiene",
                    "pharmacie",
                    "cleaning",
                    "bricolage",
                    "informatique",
                    "automobile",
                    "habillement",
                    "kitchen",
                    "linge",
                    "accessoires",
                    "jardinage",
                };
        } 
        else if (locale.startsWith("fr")) 
       {
            categories = new String[]
            {
                "Accessoires",
                "Automobile",
                "Boissons",
                "Boucherie",
                "Boulangerie",
                "Bricolage",
                "Conserves",
                "Droguerie",
                "Epicerie",
                "Fruits",
                "Habillement",
                "Hygi\u00e8ne",
                "Informatique",
                "Jardinage",
                "Laitages",
                "Librairie",
                "Linge",
                "L\u00e9gumes",
                "M\u00e9nager",
                "Papeterie",
                "Pharmacie",
                "Poissonnerie",
                "Son-TV-Hifi",
                "Surgel\u00e9s",
                "Traiteur"
            };

            products = new String[][]
            {
                { "Lacets de chaussures", "Lunettes de soleil", "N\u00e9cessaire de couture", "Porte-monnaie", "Sac de voyage", "Trousse de toilette" },
                { "Filtre \u00e0 huile", "Huile vidange", "Joints vidange", "Lave-glaces", "Liquide refroidissement" },
                { "Bi\u00e8re", "Champagne", "Cidre", "Cognac", "Eau de vie", "Eau min\u00e9rale", "Jus de fruit", "Pastis", "Rhum", "Soda", "Vin cuit", "Vin", "Vodka", "Whisky" },
                { "Abats", "Boeuf", "Dinde", "Foie gras", "Magrets de canard", "Porc", "Poulet", "Steaks hach\u00e9s", "Veau" },
                { "Baguette", "Biscottes", "Biscuits", "Brioche", "Croissants", "C\u00e9r\u00e9ales", "Ficelle", "Fougasse", "G\u00e2teaux", "Pain de mie", "Pain", "Pains au chocolat" },
                { "Ampoules", "Chevilles", "Joints robinets", "Mastique", "Outillage", "Peinture", "Piles", "Prise multiple", "Vis" },
                { "Blanquette de veau", "Boeuf bourguignon", "Cassoulet", "Choucroute", "Compote de pommes", "Cr\u00e8me de marrons", "Fruits au sirop", "Gratin dauphinois", "Litchis", "Maquereaux", "Pot\u00e9e", "Quenelles", "Raviolis", "Salade ni\u00e7oise", "Sardines", "Sauce tomate", "Thon" },
                { "Adoucissant", "Allumettes", "Anti-calcaire", "Balai", "Chiffon \u00e0 poussi\u00e8re", "D\u00e9sodorisant", "D\u00e9tartrant", "Eponges", "Essuie-tout", "Javel", "Lessive", "Lingettes", "Liquide vaisselle", "Liquide vitres", "Nettoyant", "Sacs poubelle", "Serpilli\u00e8re" },
                { "Anchois", "Aromates", "Biscuits ap\u00e9ritif", "Bonbons", "Bouillon cube", "Caf\u00e9", "Chocolat", "Confiture", "Cornichons", "Couscous", "Croquettes pour chat", "Epices", "Farine", "Fond de veau", "Huile", "Levure", "Liti\u00e8re", "Ma\u00efzena", "Moutarde", "Olives", "Poivre", "P\u00e2tes", "Riz", "Sel", "Sucre", "Th\u00e9", "Tisanes", "Vinaigre" },
                { "Ananas", "Bananes", "Cerises", "Cl\u00e9mentines", "Fraises", "Kiwis", "Oranges", "Poires", "Pommes", "Prunes" },
                { "Blouson", "Cale\u00e7ons", "Casquette", "Chaussettes", "Chaussures", "Chemise", "Echarpe", "Gants", "Maillot de bain", "Pull", "Tee-shirts" },
                { "Anti-rides", "Bigoudis", "Blaireau", "Brosse \u00e0 dents", "Coloration", "Cr\u00e8me \u00e0 raser", "Dentifrice", "D\u00e9odorant", "Fer \u00e0 friser", "Gel cheveux", "Gel douche", "Gel rasage", "Gel visage", "Lotion capillaire", "Maquillage", "N\u00e9cessaire \u00e0 ongles", "Papier toilettes", "Parfum", "Pr\u00e9servatifs", "Rasoirs", "Savon", "S\u00e8che-cheveux", "Shampooing" },
                { "Cartouche d'encre", "CD vierges", "Papier imprimante" },
                { "Engrais", "Insectifuge", "Pot", "Terreau", "Tuteur" },
                { "Beurre", "Cr\u00e8me dessert", "Fromage", "Gruy\u00e8re r\u00e2p\u00e9", "Lait concentr\u00e9", "Lait", "Margarine", "Yaourts" },
                { "Bandes dessin\u00e9es", "Journaux", "Magazines", "Romans" },
                { "Couette", "Coussins", "Draps", "Gants de toilette", "Mouchoirs", "Nappe", "Rideaux", "Serviettes", "Taie d'oreiller", "Tapis de bain", "Torchons" },
                { "Ail", "Betteraves", "Cardons", "Carottes", "Champignons", "Choux", "Concombres", "C\u00e9leri", "Echalotes", "Endives", "Fenouil", "Haricots", "Oignons", "Persil", "Poireaux", "Pommes de terre", "Salade", "Tomates" },
                { "Assiettes", "Cafeti\u00e8re", "Casseroles", "Ciseaux", "Couteaux", "Cuill\u00e8res", "Cuvette", "Egouttoir", "Fourchettes", "Gobelets plastique", "Planche \u00e0 d\u00e9couper", "Po\u00eales", "R\u00e9cipients", "Serviettes de table", "Serviettes papier", "Verres" },
                { "Adh\u00e9sif", "Agrafes", "Bloc-notes", "Chemises carton", "Classeurs", "Colle", "Enveloppes", "Ramette papier", "Stylos", "Trombones" },
                { "Compresses", "D\u00e9sinfectant", "Pansements", "Vitamines" },
                { "Brandade de morue", "Brochet", "Carpe", "Filets de merlan", "Filets pan\u00e9s", "Maquereaux fum\u00e9s", "Oeufs d'esturgeons", "Steak de thon", "Terrine de saumon", "Truite" },
                { "Cassettes audio", "DVD", "VHS" },
                { "Frites", "Glaces", "Hachis Parmentier", "Haricots", "Moussaka", "Plats cuisin\u00e9s", "Poil\u00e9e de l\u00e9gumes", "Poisson pan\u00e9", "Pommes saut\u00e9es" },
                { "Croque-monsieur", "Crudit\u00e9s", "Jambon", "Lard", "Oeufs", "P\u00e2t\u00e9 en cro\u00fbte", "R\u00f4ti de porc", "Saucisses", "Saucisson", "Terrine" }
            };

            actionNames = new String[]
            {
                "Besoins",
                "Toutes",
                "Options"
            };

            resetTypes = new String[]
            {
                "Restaurer",
                "Tout d\u00e9s\u00e9lectionner",
                "Tout s\u00e9lectionner"
            };

            resetExplanation = new String[]
            {
                "Restauration des donn\u00e9es originales",
                "D\u00e9s\u00e9lection de tous les objets",
                "S\u00e9lection de tous les objets"
            };

            name   = "Courses";
            back   = "Retour";
            add    = "Ajouter";
            remove = "Effacer";
            enter  = "Valider";
            need   = "Besoins";
            groups = "Rayons";
            reset  = "Options";
            error  = "Erreur";
            rename = "Renommer";
   	      quit   = "Quitter";
 	      select = "S\u00e9lect.";

            notEmpty = "Cette cat\u00e9gorie n'est pas vide";
		predefinedCategory = "Cette cat\u00e9gorie ne peut \u00eatre renomm\u00e9e";

            categoryIcons = new String[]
	      {
            "accessoires",
            "automobile",
            "boissons",
            "boucherie",
            "boulangerie",
            "bricolage",
            "conserves",
            "droguerie",
            "epicerie",
            "fruits",
            "habillement",
            "hygiene",
            "informatique",
            "jardinage",
            "laitages",
            "librairie",
            "linge",
            "legumes",
            "menager",
            "papeterie",
            "pharmacie",
            "poissonnerie",
            "sontvhifi",
            "surgeles",
            "traiteur"
            };

        } else if (locale.startsWith("it")) {

            categories = new String[]
            {
                "Accessori",
                "Automobile",
                "Bevande",
                "Carne",
                "Pane",
                "Bricolage",
                "Cibi in scatola",
                "Sanitari",
                "Droghiere",
                "Frutta",
                "Abbigliamento",
                "Igiene personale",
                "Computer",
                "Giardinaggio",
                "Latte",
                "Giornalaio",
                "Corredo",
                "Verdure",
                "Articoli casa",
                "Cancelleria",
                "Farmacia",
                "Pesce",
                "TV-Sound-Cell",
                "Surgelati",
                "Salumeria"
            };

            products = new String[][]
            {
                { "Lacci scarpe", "Occhiali", "Aghi", "Filo", "Borsa", "Valigie", "Kit bagno", "Orologio", "Custodia cell." },
                { "Filtro olio", "Olio freni", "Olio motore", "Tergicristalli", "Liquido raffreddamento", "Benzina", "Diesel", "Pastiglie freni", "Frizione", "Ammortizzatori", "Batteria auto", "Liquido lavavetri", "Filtro aria", "Shampoo auto" },
                { "Birra", "Champagne", "Cognac", "Acqua", "Acqua minerale", "Succo di frutta", "Rum", "Vino da tavola", "Vino", "Vodka", "Whisky", "Coca", "Aranciata", "Martini", "Campari", "Aperitivi analcolici", "Amari", "Vino dessert", "Spumante", "Energy Drink", "Sport Drink", "The freddo" },
                { "Fegato", "Costolette", "Arrosto", "Cotolette", "Tacchino", "Bollito", "Involtini", "Maiale", "Pollo cosce", "Pollo petto", "Salsiccia", "Tritato", "Coniglio", "Agnello", "Capretto", "Frattaglie", "Ossobuco", "Pollo" },
                { "Pane", "Toasts", "Biscotti", "Focacce", "Croissants", "Pane Integrale", "Dolci", "Pangrattato", "Panini", "Filoni", "Pizza", "Grissini", "Crakers" },
                { "Lampade", "Viti", "Chiodi", "Bulloni", "Mastice", "Silicone", "Cacciaviti", "Vernici", "Batterie", "Adattatori", "Chiavi", "Flessibili", "Colla vinilica", "Prese elettriche", "Cavi elettrici", "Martello", "Pinza" },
                { "Carne in scatola", "Mais", "Funghi champignons", "Nutella", "Frutta sciroppata", "Legumi in scatola", "Sgonbro", "Sardine", "Salsa di pomodoro", "Tonno in scatola", "Ketchup", "Mayonese", "Salsa rosa" },
                { "Crema emoliente", "Fiammiferi", "Anti-calcare", "Spazzola", "Stracci", "Deodoranti", "Detersivi casa", "Spugne", "Detersivo per vetri", "Sacchetti rifiuti", "Pattumiera", "Detersivi bucato", "Ammorbidenti" },
                { "Acchiughe", "Aromi vari", "Salatini", "Patatine", "Caramelle", "Caff\u00e8", "Cioccolato",  "Couscous", "Farina", "Olio", "Lievito", "Senape", "Olive", "Pepe", "Pasta", "Riso", "Sale", "Zucchero", "T\u00e8", "Camomilla", "Tisane", "Aceto", "Aceto balsamico" },
                { "Ananas", "Banane", "Ciliege", "Clementine", "Fragole", "Kiwi", "Arance", "Pere", "Mele", "Prugne", "Mandarini", "Cocco", "Anguria", "Mellone" },
                { "Giubbotto", "Giacca", "Cappotto", "Calzini", "Scarpe", "Camicia", "Sciarpa", "Guanti", "Tuta da sci", "Pantalone", "Magliette", "Boxer", "Maglione", "Felpa", "Cappello", "Cintura", "Stivali", "Scarponi", "Scarpe da ginnastica", "Pigiama", "Costume da bagno", "Ciabatte", "Jeans", "Tuta ginnastica", "Abito", "Tailleur", "Slip", "Calze", "Reggiseno", "Collant" },
                { "Crema viso", "Spazzolino", "Dentifricio", "Tintura capelli", "Crema da barba", "Deodorante", "Gel capelli", "Gel barba", "Maquillage", "Carta igenica", "Profumo", "Profilattici", "Rasoio", "Sapone", "Shampoo", "Bagnoschiuma", "Docciaschiuma", "Bastoncini flessibili", "Pettine", "Spazzola", "Deodorante personale", "Lamette", "Dopo-barba", "Balsamo", "Crema corpo", "Assorbenti", "Igiene intima", "Crema depilatoria" },
                { "Cartuccia nero", "Cartuccia colore", "CD r", "CD rw", "DVD r", "DVD rw", "Carta stampante", "Toner laser", "Carta fotografica", "Floppy" },
                { "Fertilizzante", "Insetticida", "Terreno", "Vasi", "Semi", "Piante" },
                { "Burro", "Formaggio dolce", "Latte in polvere", "Latte", "Margarina", "Yogurts", "Provola", "Parmiggiano R.", "Grana padano", "Svizzero", "Mozzarella", "Ricotta", "Pecorino", "Form. Grattuggiato" },
                { "Enigmistica", "Giornali", "Settimanali", "Riviste informatica", "Gossip", "Manuali" },
                { "Piumino", "Cuscino", "Lenzuola", "Fazzoletti", "Tovaglia", "Tende", "Tovaglioli", "Federe", "Tappeto da bagno", "Plaid" },
                { "Aglio", "Barbabietole", "Carote", "Funghi freschi", "Cavoli", "Cetrioli", "Sedano", "Scalogni", "Indivie", "Fagioli", "Cipolle", "Prezzemolo", "Porri", "Patate", "Insalata", "Pomodori", "Lattuga", "Insalata belga", "Radicchio", "Rucola", "Zucchine", "Melenzane", "Peperoni", "Zucca", "Finocchi", "Basilico", "Menta", "Limoni", "Legumi" },
                { "Piatti", "Piatti di plastica", "Tazzine caff\u00e8", "Vaschette", "Forbici", "Coltelli", "Cucchiai", "Pentole", "Setaccio", "Forcelle", "Posate di plastica", "Tagliere", "Stufe", "Contenitori", "Tovaglioli", "Tovaglioli di carta", "Bicchieri", "Bicchieri di plastica", "Carta alimenti", "Sacchetti freezer", "Stuzzicadenti" },
                { "Nastro adesivo", "Blocco note", "Carpette", "Rubrica", "Colla in stick", "Buste", "Carta A4", "Penne", "Matite", "Gomma per cancellare", "Temperamatite", "Correttore", "Quaderno", "Carta modulo continuo",  },
                { "Compresse", "Disinfettante", "Fasciature", "Vitamine", "Antidolorifici", "Siringhe", "Prescrizione medica", "Antipiretico", "Cerotti" },
                { "Pesce spada", "Merluzzo", "Luccio", "Carpa", "Cozze", "Vongole", "Gamberi", "Calamari", "Seppie", "Salmone", "Caviale", "Tonno", "Trota", "Pesce azzurro", "Polipi", "Aragoste", "Scampi",  }, 
                { "Cassette audio", "DVD", "VHS", "Compact Disk", "Ricarica Wind", "Ricarica Vodafone", "Ricarica Tim", "Ricarica Tre", "Carta servizi" },
                { "Pesce surgelato", "Gelato", "Piselli", "Minestrone", "Piatti pronti", "Verdure surgelate", "Spinaci" },
                { "Bacon", "Uova", "Wurstel", "Prosciutto cotto", "Prosciutto crudo", "Salame", "Salame piccante", "Speak", "Mortadella", "Bresaola", "Pancetta" }
            };

            actionNames = new String[]
            {
                "Lista",
                "Tutto",
                "Azzera"
            };

            resetTypes = new String[]
            {
                "Ripristina",
                "Cancella tutto",
                "Seleziona tutto"
            };

            resetExplanation = new String[]
            {
                "Ripristina selezioni originarie",
                "Deseleziona tutto",
                "Seleziona tutto"
            };

            name   = "ListaSpesa";
            back   = "Indietro";
            add    = "Aggiungi";
            remove = "Rimuovi";
            enter  = "Invio";
            need   = "Lista:";
            groups = "Gruppi";
            reset  = "Azzera";
            error  = "Errore";
            rename = "Rinomima";
            quit   = "Fine";
            select = "Seleziona";
            
            notEmpty = "La categoria non \u00e8 vuota";
            predefinedCategory = "Questa categoria non pu\u00f2 essere rinominata";

            categoryIcons = new String[]
	      {
            "accessoires",
            "automobile",
            "boissons",
            "boucherie",
            "boulangerie",
            "bricolage",
            "conserves",
            "droguerie",
            "epicerie",
            "fruits",
            "habillement",
            "hygiene",
            "informatique",
            "jardinage",
            "laitages",
            "librairie",
            "linge",
            "legumes",
            "menager",
            "papeterie",
            "pharmacie",
            "poissonnerie",
            "sontvhifi",
            "surgeles",
            "traiteur"
            };

        } else if (locale.startsWith("gr")) {
            categories = new String[]
            {
                "\u0394\u03b9\u03ac\u03c6\u03bf\u03c1\u03b1",
                "\u0391\u03c5\u03c4\u03bf\u03ba\u03af\u03bd\u03b7\u03c4\u03bf",
                "\u03a0\u03bf\u03c4\u03ac",
                "\u039a\u03c1\u03b5\u03bf\u03c0\u03c9\u03bb\u03b5\u03af\u03bf",
                "\u03a6\u03bf\u03cd\u03c1\u03bd\u03bf\u03c2",
                "\u0395\u03c1\u03b3\u03b1\u03bb\u03b5\u03af\u03b1",
                "\u039a\u03bf\u03bd\u03c3\u03ad\u03c1\u03b2\u03b5\u03c2",
                "\u0391\u03c0\u03bf\u03c1\u03c1\u03c5\u03c0\u03b1\u03bd\u03c4\u03b9\u03ba\u03ac",
                "\u03a4\u03c1\u03cc\u03c6\u03b9\u03bc\u03b1",
                "\u03a6\u03c1\u03bf\u03cd\u03c4\u03b1",
                "\u03a1\u03bf\u03cd\u03c7\u03b1",
                "\u03a5\u03b3\u03b9\u03b5\u03b9\u03bd\u03ae",
                "\u03a5\u03c0\u03bf\u03bb\u03bf\u03b3\u03b9\u03c3\u03c4\u03ae\u03c2",
                "\u039a\u03b7\u03c0\u03bf\u03c5\u03c1\u03b9\u03ba\u03ae",
                "\u0393\u03b1\u03bb\u03b1\u03ba\u03c4\u03bf\u03ba\u03bf\u03bc\u03b9\u03ba\u03ac",
                "\u0395\u03c6\u03b7\u03bc\u03b5\u03c1\u03af\u03b4\u03b5\u03c2",
                "\u03a0\u03b5\u03c1\u03b9\u03bf\u03b4\u03b9\u03ba\u03ac",
                "\u039b\u03b1\u03c7\u03b1\u03bd\u03b9\u03ba\u03ac",
                "\u039a\u039f\u03c5\u03b6\u03b9\u03bd\u03b9\u03ba\u03ac",
                "\u0393\u03c1\u03b1\u03c6\u03b9\u03ba\u03ac",
                "\u03a6\u03b1\u03c1\u03bc\u03b1\u03ba\u03b5\u03af\u03bf",
                "\u03a8\u03b1\u03c1\u03ac\u03b4\u03b9\u03ba\u03bf",
                "\u0389\u03c7\u03bf\u03c2-TV",
                "\u039a\u03b1\u03c4\u03b5\u03c8\u03c5\u03b3\u03bc\u03ad\u03bd\u03b1",
                "\u0391\u03bb\u03bb\u03b1\u03bd\u03c4\u03b9\u03ba\u03ac"
            };

            products = new String[][]
            {
                { "\u03a3\u03b1\u03ba\u03bf\u03cd\u03bb\u03b5\u03c2 \u03c3\u03ba\u03bf\u03c5\u03c0\u03b9\u03b4\u03b9\u03ce\u03bd", "\u03a4\u03b1\u03b9\u03bd\u03af\u03b1 \u03c3\u03c5\u03c3\u03ba\u03b5\u03c5\u03b1\u03c3\u03af\u03b1\u03c2", "\u03a6\u03b9\u03ac\u03bb\u03b5\u03c2 \u03c5\u03b3\u03c1\u03b1\u03b5\u03c1\u03af\u03bf\u03c5", "\u03a6\u03af\u03bb\u03c4\u03c1\u03b1 \u03ba\u03b1\u03c6\u03b5\u03c4\u03b9\u03ad\u03c1\u03b1\u03c2" },
                { "" },
                { "\u0391\u03bd\u03b1\u03c8\u03c5\u03ba\u03c4\u03b9\u03ba\u03ac", "\u039a\u03c1\u03b1\u03c3\u03af", "\u039c\u03b5\u03c4\u03b1\u03bb\u03bb\u03b9\u03ba\u03cc \u03bd\u03b5\u03c1\u03cc", "\u039c\u03c0\u03cd\u03c1\u03b5\u03c2", "\u03a0\u03b1\u03b3\u03c9\u03bc\u03ad\u03bd\u03bf \u03c4\u03c3\u03ac\u03b9", "\u03a6\u03c1\u03ad\u03c3\u03ba\u03bf\u03c2 \u03c7\u03c5\u03bc\u03cc\u03c2" },
                { "\u039a\u03b9\u03bc\u03ac\u03c2", "\u039a\u03bf\u03c4\u03cc\u03c0\u03bf\u03c5\u03bb\u03bf", "\u039c\u03bf\u03c3\u03c7\u03ac\u03c1\u03b9", "\u039c\u03c0\u03c1\u03b9\u03b6\u03cc\u03bb\u03b5\u03c2", "\u03a3\u03bf\u03c5\u03b2\u03bb\u03ac\u03ba\u03b9\u03b1" },
                { "\u0394\u03b7\u03bc\u03b7\u03c4\u03c1\u03b9\u03b1\u03ba\u03ac", "\u039c\u03c0\u03b9\u03c3\u03ba\u03cc\u03c4\u03b1", "\u03a0\u03b1\u03be\u03b9\u03bc\u03ac\u03b4\u03b9\u03b1", "\u03a6\u03c1\u03c5\u03b3\u03b1\u03bd\u03b9\u03ad\u03c2", "\u03a8\u03c9\u03bc\u03af", "\u03a8\u03c9\u03bc\u03af \u03c4\u03bf\u03c3\u03c4" },
                { "\u039b\u03ac\u03bc\u03c0\u03b5\u03c2", "\u039c\u03c0\u03b1\u03c4\u03b1\u03c1\u03af\u03b5\u03c2" },
                { "\u039c\u03b1\u03bd\u03b9\u03c4\u03ac\u03c1\u03b9\u03b1 \u03ba\u03bf\u03bd\u03c3\u03ad\u03c1\u03b2\u03b1", "\u039d\u03c4\u03bf\u03bc\u03ac\u03c4\u03b1 \u03ba\u03bf\u03bd\u03c3\u03ad\u03c1\u03b2\u03b1", "\u03a0\u03ac\u03c3\u03c4\u03b1 \u03b5\u03bb\u03b9\u03ac\u03c2", "\u03a3\u03b1\u03c1\u03b4\u03ad\u03bb\u03b5\u03c2", "\u03a4\u03cc\u03bd\u03bf\u03c2 \u03c3\u03b5 \u03bd\u03b5\u03c1\u03cc" },
                { "\u0391\u03c0\u03bf\u03c1\u03c1\u03c5\u03c0\u03b1\u03bd\u03c4\u03b9\u03ba\u03cc \u03c1\u03bf\u03cd\u03c7\u03c9\u03bd", "\u039a\u03b1\u03b8\u03b1\u03c1\u03b9\u03c3\u03c4\u03b9\u03ba\u03cc \u03c0\u03b1\u03c4\u03c9\u03bc\u03ac\u03c4\u03c9\u03bd", "\u039c\u03b1\u03bb\u03b1\u03ba\u03c4\u03b9\u03ba\u03cc \u03c1\u03bf\u03cd\u03c7\u03c9\u03bd", "\u03a7\u03bb\u03c9\u03c1\u03af\u03bd\u03b7" },
                { "\u0391\u03bb\u03b5\u03cd\u03c1\u03b9", "\u0391\u03c5\u03b3\u03ac", "\u0396\u03ac\u03c7\u03b1\u03c1\u03b7", "\u039a\u03b1\u03c6\u03ad\u03c2", "\u039b\u03ac\u03b4\u03b9", "\u039c\u03b1\u03ba\u03b1\u03c1\u03cc\u03bd\u03b9\u03b1", "\u039c\u03b1\u03c1\u03bc\u03b5\u03bb\u03ac\u03b4\u03b1", "\u039c\u03ad\u03bb\u03b9", "\u039c\u03bf\u03c5\u03c3\u03c4\u03ac\u03c1\u03b4\u03b1", "\u039c\u03c0\u03b1\u03c7\u03b1\u03c1\u03b9\u03ba\u03ac", "\u039e\u03b7\u03c1\u03bf\u03af \u03ba\u03b1\u03c1\u03c0\u03bf\u03af", "\u038c\u03c3\u03c0\u03c1\u03b9\u03b1", "\u03a0\u03b1\u03c4\u03b1\u03c4\u03ac\u03ba\u03b9\u03b1", "\u03a1\u03cd\u03b6\u03b9", "\u03a3\u03bf\u03ba\u03bf\u03bb\u03ac\u03c4\u03b5\u03c2", "\u03a4\u03c3\u03ac\u03b9", "Merenta", "Popcorn" },
                { "\u0391\u03c7\u03bb\u03ac\u03b4\u03b9\u03b1", "\u039a\u03b1\u03c1\u03c0\u03bf\u03cd\u03b6\u03b9", "\u039a\u03b5\u03c1\u03ac\u03c3\u03b9\u03b1", "\u039b\u03b5\u03bc\u03cc\u03bd\u03b9\u03b1", "\u039c\u03b1\u03bd\u03c4\u03b1\u03c1\u03af\u03bd\u03b9\u03b1", "\u039c\u03ae\u03bb\u03b1", "\u039c\u03c0\u03b1\u03bd\u03ac\u03bd\u03b5\u03c2", "\u03a0\u03b5\u03c0\u03cc\u03bd\u03b9", "\u03a0\u03bf\u03c1\u03c4\u03bf\u03ba\u03ac\u03bb\u03b9\u03b1", "\u03a3\u03c4\u03b1\u03c6\u03cd\u03bb\u03b9\u03b1", "\u03a6\u03c1\u03ac\u03bf\u03c5\u03bb\u03b5\u03c2" },
                { "" },
                { "\u0391\u03c0\u03bf\u03c3\u03bc\u03b7\u03c4\u03b9\u03ba\u03cc", "\u0391\u03c6\u03c1\u03cc\u03bb\u03bf\u03c5\u03c4\u03c1\u03bf", "\u039f\u03b4\u03bf\u03bd\u03c4\u03cc\u03b2\u03bf\u03c5\u03c1\u03c4\u03c3\u03b1", "\u039f\u03b4\u03bf\u03bd\u03c4\u03cc\u03ba\u03c1\u03b5\u03bc\u03b1", "\u03a3\u03b1\u03bc\u03c0\u03bf\u03c5\u03ac\u03bd", "\u03a3\u03b1\u03c0\u03bf\u03cd\u03bd\u03b9", "\u03a3\u03c6\u03bf\u03c5\u03b3\u03b3\u03ac\u03c1\u03b9 \u03bc\u03c0\u03ac\u03bd\u03b9\u03bf\u03c5", "\u03a7\u03b1\u03c1\u03c4\u03b9\u03ac \u03c5\u03b3\u03b5\u03af\u03b1\u03c2", "\u03a7\u03b1\u03c1\u03c4\u03bf\u03bc\u03ac\u03bd\u03c4\u03b7\u03bb\u03b1", "Gel \u03bc\u03b1\u03bb\u03bb\u03b9\u03ce\u03bd" },
                { "\u039c\u03b5\u03bb\u03b1\u03bd\u03bf\u03b4\u03bf\u03c7\u03b5\u03af\u03b1", "\u03a7\u03b1\u03c1\u03c4\u03af \u03b5\u03ba\u03c4\u03c5\u03c0\u03c9\u03c4\u03ae", "CDR", "CDRW", "DVDR", "DVDRW" },
                { "" },
                { "\u0392\u03b9\u03c4\u03ac\u03bc", "\u0393\u03ac\u03bb\u03b1", "\u0393\u03b9\u03b1\u03bf\u03cd\u03c1\u03c4\u03b9", "\u039a\u03c1\u03ad\u03bc\u03b1 \u03b3\u03ac\u03bb\u03b1\u03ba\u03c4\u03bf\u03c2", "\u03a4\u03c5\u03c1\u03af", "\u03a6\u03ad\u03c4\u03b1" },
                { "\u0391\u03c0\u03bf\u03b3\u03b5\u03c5\u03bc\u03b1\u03c4\u03b9\u03bd\u03ae", "\u0392\u03ae\u03bc\u03b1", "\u0388\u03b8\u03bd\u03bf\u03c2", "\u0395\u03bb\u03b5\u03cd\u03b8\u03b5\u03c1\u03bf\u03c2 \u03c4\u03cd\u03c0\u03bf\u03c2", "\u0395\u03bb\u03b5\u03c5\u03b8\u03b5\u03c1\u03bf\u03c4\u03c5\u03c0\u03af\u03b1", "\u0395\u03c0\u03b5\u03bd\u03b4\u03c5\u03c4\u03ae\u03c2", "\u0397\u03bc\u03b5\u03c1\u03b7\u03c3\u03af\u03b1", "\u039a\u03b1\u03b8\u03b7\u03bc\u03b5\u03c1\u03b9\u03bd\u03ae", "\u039d\u03ad\u03b1", "\u03a0\u03c1\u03ce\u03c4\u03bf \u0398\u03ad\u03bc\u03b1", "Press Time" },
                { "\u039a\u03cc\u03c3\u03bc\u03bf\u03c2 \u03c4\u03bf\u03c5 DVD", "\u03a3\u03b9\u03bd\u03b5\u03bc\u03ac", "Computer Games Magazine", "Computers \u03b3\u03b9\u03b1 \u03cc\u03bb\u03bf\u03c5\u03c2", "Pc Magazine", "Pc Master", "Pc World" },
                { "\u0391\u03b3\u03b3\u03bf\u03cd\u03c1\u03b9\u03b1", "\u039a\u03b1\u03c1\u03cc\u03c4\u03b1", "\u039a\u03bf\u03bb\u03bf\u03ba\u03cd\u03b8\u03b9\u03b1", "\u039a\u03bf\u03c5\u03bd\u03bf\u03c5\u03c0\u03af\u03b4\u03b9", "\u039a\u03c1\u03b5\u03bc\u03bc\u03cd\u03b4\u03b9\u03b1", "\u039b\u03ac\u03c7\u03b1\u03bd\u03bf", "\u039c\u03b1\u03ca\u03bd\u03c4\u03b1\u03bd\u03cc\u03c2", "\u039c\u03b1\u03bd\u03b9\u03c4\u03ac\u03c1\u03b9\u03b1 \u03c6\u03c1\u03ad\u03c3\u03ba\u03b1", "\u039c\u03b1\u03c1\u03bf\u03cd\u03bb\u03b9", "\u039d\u03c4\u03bf\u03bc\u03ac\u03c4\u03b5\u03c2", "\u03a0\u03b1\u03c4\u03ac\u03c4\u03b5\u03c2", "\u03a0\u03b9\u03c0\u03b5\u03c1\u03b9\u03ad\u03c2", "\u03a1\u03cc\u03ba\u03b1", "\u03a3\u03ba\u03cc\u03c1\u03b4\u03b1", "\u03a7\u03cc\u03c1\u03c4\u03b1" },
                { "\u039a\u03b1\u03bb\u03b1\u03bc\u03ac\u03ba\u03b9\u03b1", "\u03a0\u03b9\u03ac\u03c4\u03b1", "\u03a0\u03bb\u03b1\u03c3\u03c4\u03b9\u03ba\u03ac \u03c0\u03bf\u03c4\u03ae\u03c1\u03b9\u03b1", "\u03a0\u03bf\u03c4\u03ae\u03c1\u03b9\u03b1", "\u03a1\u03bf\u03bb\u03cc \u03ba\u03bf\u03c5\u03b6\u03af\u03bd\u03b1\u03c2", "\u03a3\u03c6\u03bf\u03c5\u03b3\u03b3\u03ac\u03c1\u03b9 \u03c0\u03b9\u03ac\u03c4\u03c9\u03bd", "\u03a7\u03b1\u03c1\u03c4\u03bf\u03c0\u03b5\u03c4\u03c3\u03ad\u03c4\u03b5\u03c2" },
                { "\u0393\u03cc\u03bc\u03b1", "\u0394\u03b9\u03bf\u03c1\u03b8\u03c9\u03c4\u03b9\u03ba\u03cc", "\u039a\u03cc\u03bb\u03bb\u03b1 \u03b5\u03c0\u03bf\u03be\u03b9\u03ba\u03ae", "\u039a\u03bf\u03bb\u03bb\u03b7\u03c4\u03b9\u03ba\u03ae \u03c4\u03b1\u03b9\u03bd\u03af\u03b1", "\u039c\u03b1\u03c1\u03ba\u03b1\u03b4\u03cc\u03c1\u03bf\u03c2", "\u039c\u03bf\u03bb\u03cd\u03b2\u03b9\u03b1", "\u03a3\u03b5\u03bb\u03af\u03b4\u03b5\u03c2 \u03914", "\u03a3\u03b7\u03bc\u03b5\u03b9\u03c9\u03bc\u03b1\u03c4\u03ac\u03c1\u03b9\u03bf", "\u03a3\u03c4\u03c5\u03bb\u03cc", "\u03a6\u03ac\u03ba\u03b5\u03bb\u03bf\u03b9", "\u03a7\u03b1\u03c1\u03c4\u03cc\u03ba\u03bf\u03bb\u03bb\u03b1", "\u03a7\u03b1\u03c1\u03c4\u03bf\u03c4\u03b1\u03b9\u03bd\u03af\u03b1" },
                { "\u0391\u03bd\u03c4\u03b9\u03c0\u03c5\u03c1\u03b5\u03c4\u03b9\u03ba\u03cc", "\u0392\u03b9\u03c4\u03b1\u03bc\u03af\u03bd\u03b5\u03c2", "\u03a0\u03c1\u03bf\u03c6\u03c5\u03bb\u03b1\u03ba\u03c4\u03b9\u03ba\u03ac", "\u03a5\u03b3\u03c1\u03cc \u03c6\u03b1\u03ba\u03ce\u03bd \u03b5\u03c0." },
                { "" },
                { "\u039a\u03b1\u03bb\u03ce\u03b4\u03b9\u03bf", "\u039a\u03b1\u03c3\u03ad\u03c4\u03b1 \u03ae\u03c7\u03bf\u03c5", "\u039a\u03b1\u03c3\u03ad\u03c4\u03b1 DV", "\u039a\u03b1\u03c3\u03ad\u03c4\u03b1 VHS" },
                { "\u0391\u03c1\u03b1\u03ba\u03ac\u03c2 \u03ba\u03b1\u03c4.", "\u039a\u03bf\u03c4\u03cc\u03c0\u03bf\u03c5\u03bb\u03bf \u03c1\u03bf\u03bb\u03cc", "\u039b\u03bf\u03c5\u03ba\u03b1\u03bd\u03b9\u03ba\u03bf\u03c0\u03b9\u03c4\u03ac\u03ba\u03b9\u03b1", "\u039c\u03c0\u03ac\u03bc\u03b9\u03b5\u03c2 \u03ba\u03b1\u03c4.", "\u03a0\u03af\u03c4\u03c3\u03b5\u03c2", "\u03a3\u03c0\u03b1\u03bd\u03ac\u03ba\u03b9 \u03ba\u03b1\u03c4.", "\u03a4\u03c5\u03c1\u03bf\u03c0\u03b9\u03c4\u03ac\u03ba\u03b9\u03b1", "\u03a6\u03b1\u03c3\u03bf\u03bb\u03ac\u03ba\u03b9\u03b1 \u03ba\u03b1\u03c4.", "\u03a7\u03bf\u03c1\u03c4\u03bf\u03c0\u03b9\u03c4\u03ac\u03ba\u03b9\u03b1" },
                { "\u0393\u03b1\u03bb\u03bf\u03c0\u03bf\u03cd\u03bb\u03b1", "\u0396\u03b1\u03bc\u03c0\u03cc\u03bd", "\u039b\u03bf\u03c5\u03ba\u03ac\u03bd\u03b9\u03ba\u03b1", "\u039c\u03c0\u03ad\u03b9\u03ba\u03bf\u03bd", "\u03a0\u03b1\u03c1\u03b9\u03b6\u03ac\u03ba\u03b9", "\u03a3\u03b1\u03bb\u03ac\u03bc\u03b9" }
            };

            actionNames = new String[]
            {
                "\u03a8\u03ce\u03bd\u03b9\u03b1",
                "\u038c\u03bb\u03b1",
                "\u0395\u03c0\u03b9\u03bb\u03bf\u03b3\u03ad\u03c2"
            };

            resetTypes = new String[]
            {
                "\u0395\u03c0\u03b1\u03bd\u03b1\u03c6\u03bf\u03c1\u03ac",
                "\u0391\u03c0\u03bf\u03b5\u03c0\u03b9\u03bb\u03bf\u03b3\u03ae \u03cc\u03bb\u03c9\u03bd",
                "\u0395\u03c0\u03b9\u03bb\u03bf\u03b3\u03ae \u03cc\u03bb\u03c9\u03bd"
            };

            resetExplanation = new String[]
            {
                "\u0395\u03c0\u03b1\u03bd\u03b1\u03c6\u03bf\u03c1\u03ac \u03b1\u03c1\u03c7\u03b9\u03ba\u03ce\u03bd \u03b5\u03c0\u03b9\u03bb\u03bf\u03b3\u03ce\u03bd",
                "\u0391\u03c0\u03bf\u03b5\u03c0\u03b9\u03bb\u03bf\u03b3\u03ae \u03cc\u03bb\u03c9\u03bd \u03c4\u03c9\u03bd \u03b1\u03bd\u03c4\u03b9\u03ba\u03b5\u03b9\u03bc\u03ad\u03bd\u03c9\u03bd",
                "\u0395\u03c0\u03b9\u03bb\u03bf\u03b3\u03ae \u03cc\u03bb\u03c9\u03bd \u03c4\u03c9\u03bd \u03b1\u03bd\u03c4\u03b9\u03ba\u03b5\u03b9\u03bc\u03ad\u03bd\u03c9\u03bd"
            };

            name   = "\u039b\u03af\u03c3\u03c4\u03b1 \u03b1\u03b3\u03bf\u03c1\u03ce\u03bd";
            back   = "\u03a0\u03af\u03c3\u03c9";
            add    = "\u03a0\u03c1\u03bf\u03c3\u03b8\u03ae\u03ba\u03b7";
            remove = "\u0394\u03b9\u03b1\u03b3\u03c1\u03b1\u03c6\u03ae";
            enter  = "\u0395\u03b9\u03c3\u03b1\u03b3\u03c9\u03b3\u03ae";
            need   = "\u03a8\u03ce\u03bd\u03b9\u03b1";
            groups = "\u039a\u03b1\u03c4\u03b7\u03b3\u03bf\u03c1\u03af\u03b5\u03c2";
            reset  = "\u0395\u03c0\u03b9\u03bb\u03bf\u03b3\u03ad\u03c2";
            error  = "\u03a3\u03c6\u03ac\u03bb\u03bc\u03b1";
            rename = "\u039c\u03b5\u03c4\u03bf\u03bd\u03bf\u03bc\u03b1\u03c3\u03af\u03b1";
            quit   = "\u0388\u03be\u03bf\u03b4\u03bf\u03c2";
            select = "\u0395\u03c0\u03b9\u03bb\u03bf\u03b3\u03ae";

            notEmpty = "\u0397 \u03ba\u03b1\u03c4\u03b7\u03b3\u03bf\u03c1\u03af\u03b1 \u03b4\u03b5\u03bd \u03b5\u03af\u03bd\u03b1\u03b9 \u03ba\u03b5\u03bd\u03ae";
            predefinedCategory = "\u0391\u03c5\u03c4\u03ae \u03b7 \u03ba\u03b1\u03c4\u03b7\u03b3\u03bf\u03c1\u03af\u03b1 \u03b4\u03b5\u03bd \u03bc\u03c0\u03bf\u03c1\u03b5\u03af \u03bd\u03b1 \u03b1\u03bb\u03bb\u03ac\u03be\u03b5\u03b9 \u03cc\u03bd\u03bf\u03bc\u03b1";
            
            categoryIcons = new String[]
            {
                "accessoires",
                "automobile",
                "boissons",
                "boucherie",
                "boulangerie",
                "bricolage",
                "conserves",
                "droguerie",
                "epicerie",
                "fruits",
                "habillement",
                "hygiene",
                "informatique",
                "jardinage",
                "laitages",
                "librairie",
                "linge",
                "legumes",
                "menager",
                "papeterie",
                "pharmacie",
                "poissonnerie",
                "sontvhifi",
                "surgeles",
                "traiteur"
            };
        } else {

            categories = new String[]
            {
                "Accessories",
                "Car",
                "Drinks",
                "Butcher shop",
                "Bakery",
                "Tinkering",
                "Canned food",
                "Hardware store",
                "Grocery store",
                "Fruits",
                "Clothes",
                "Hygiene",
                "Computer",
                "Gardening",
                "Milk",
                "Bookstore",
                "Linen",
                "Vegetables",
                "Domestic",
                "Stationery",
                "Pharmacy",
                "Fish store",
                "Sound-TV-Hifi",
                "Frozen food",
                "Caterer"
            };

            products = new String[][]
            {
                { "Shoelaces", "Sunglasses", "Sewing", "Purse", "Travel bag", "Toilet kit" },
                { "Oil filter", "Draining oil", "Draining joints", "Windshield wipers", "Cooling liquid" },
                { "Beer", "Champagne", "Cider", "Cognac", "Life water", "Mineral water", "Fruit juice", "Pastis", "Rum", "Soda", "Cooks wine", "Wine", "Vodka", "Whisky" },
                { "Giblets", "Beef", "Turkey", "Foie gras", "Duck steaklets", "Pork", "Chicken", "Chopped steacks", "Calf" },
                { "Bread", "Toasts", "Cookies", "Sweetbread", "Croissants", "Cereals", "Fougasse", "Cakes", "Crumb bread", "Chocolate breads" },
                { "Lamps", "Ankles", "Taps joints", "Mastic", "Tools", "Paint", "Batteries", "Adaptor", "Screws" },
                { "Calf blanquette", "Bourguignon beef", "Cassoulet", "Sauerkraut", "Apples compote", "Chestnuts cream", "Syrup fruits", "Gratin dauphinois", "Litchis", "Mackerels", "Hotpot", "Quenelles", "Raviolis", "Ni\u00e7oise salad", "Sardines", "Tomato sauce", "Tuna" },
                { "Emollient", "Matches", "Anti-limestone", "Brush", "Dust lint", "Deodorizing", "Scaling", "Sponges", "Javel", "Laundry", "Dishes liquid", "Windows liquid", "Cleaning", "Trash bags", "Dish-cloth" },
                { "Anchovy", "Aromatics", "Apritif biscuits", "Candies", "Soup cubes", "Coffee", "Chocolate", "Jam", "Pickels", "Couscous", "Cat biscuits", "Spicy", "Flour", "Oil", "Yeast", "Litter", "Mazena", "Mustard", "Olives", "Pepper", "Dough", "Rice", "Salt", "Sugar", "Tea", "Infusions", "Vinegar" },
                { "Pineapple", "Bananas", "Cherries", "Clementines", "Strawberries", "Kiwis", "Oranges", "Pears", "Apples", "Plums" },
                { "Jacket", "Leggings", "Cap", "Socks", "Shoes", "Shirt", "Scarf", "Gloves", "Swimsuit", "Pull", "Tee-shirts" },
                { "Anti-wrinkles", "Rollers", "Shaving-brush", "Toothbrush", "Coloration", "Shaving cream", "Toothpaste", "Deodorant", "Curl iron", "Hair gel", "Shower gel", "Shaving gel", "Face gel", "Capillary lotion", "Maquillage", "N\u00e9cessaire \u00e0 ongles", "Papier toilettes", "Parfum", "Pr\u00e9servatifs", "Rasoirs", "Savon", "S\u00e8che-cheveux", "Shampooing" },
                { "Ink cartridge", "Blank CD's", "Printer paper" },
                { "Manure", "Insect repellant", "Pot", "Compost", "Plant support" },
                { "Butter", "Dessert cream", "Cheese", "Shabby gruyre", "Concentrated milk", "Milk", "Margarine", "Yogurts" },
                { "Comic strips", "Newspaper", "Magazines", "Novels" },
                { "Feather bed", "Cushions", "Sheets", "Washcloths", "Handkerchiefs", "Tablecloth", "Curtains", "Napkins", "Pillow-case", "Bathmat", "Let's wipe" },
                { "Garlic", "Beets", "Carrots", "Mushrooms", "Cabbages", "Cucumbers", "Celery", "Shallots", "Endives", "Dill", "Beans", "Onions", "Parsley", "Leeks", "Potatoes", "Salad", "Tomatos" },
                { "Plates", "Coffee pot", "Pans", "Scissors", "Knives", "Spoons", "Basin", "Strainer", "Forks", "Plastic cups", "Cut board", "Stoves", "Containers", "Napkins", "Paper napkins", "Glasses" },
                { "Adhesive tape", "Fasten", "Notepad", "Paperboard shirts", "Sorters", "Paste stick", "Envelopes", "Ream paper", "Pens", "Trombones" },
                { "Compress", "Disinfecting", "Bandages", "Vitamins" },
                { "Cod brandade", "Pike", "Carp", "Whiting nets", "Breaded nets", "Smoked mackerels", "Sturgeons eggs", "Tuna steak", "Salmon pot", "Trout" },
                { "Audio tapes", "DVD", "VHS" },
                { "Fried", "Ices", "Cottage pie", "Green beans", "Moussaka", "Cooked dishes", "Vegetables", "Breaded fish" },
                { "Crunch-Mister", "Crudenesses", "Ham", "Bacon", "Eggs", "Meat pie", "Pork joint", "Sausages" }
            };

            actionNames = new String[]
            {
                "Need",
                "All",
                "Reset"
            };

            resetTypes = new String[]
            {
                "Restore",
                "Clear All",
                "Select All"
            };

            resetExplanation = new String[]
            {
                "Restore original selection",
                "Unselect all items",
                "Select all items"
            };

            name   = "Shopper";
            back   = "Back";
            add    = "Add";
            remove = "Remove";
            enter  = "Enter";
            need   = "Need:";
            groups = "Groups";
            reset  = "Reset";
            error  = "Error";
            rename = "Rename";
            quit   = "Quit";
            select = "Select";

            notEmpty = "Category is not empty";
            predefinedCategory = "This category can't be renamed";

            categoryIcons = new String[]
	      {
            "accessoires",
            "automobile",
            "boissons",
            "boucherie",
            "boulangerie",
            "bricolage",
            "conserves",
            "droguerie",
            "epicerie",
            "fruits",
            "habillement",
            "hygiene",
            "informatique",
            "jardinage",
            "laitages",
            "librairie",
            "linge",
            "legumes",
            "menager",
            "papeterie",
            "pharmacie",
            "poissonnerie",
            "sontvhifi",
            "surgeles",
            "traiteur"
            };
        }
    }
}
