package midp.shopper;

import javax.microedition.lcdui.*;
import java.util.Vector;

public class NeedList extends List implements CommandListener {
    private Product[] needed;
    private boolean[] selected;

    /**
     * Creates new BaseList
     */
    public NeedList() {
        super(Locale.current.need, MULTIPLE);
        Shopper shopper = Shopper.getInstance();
        Vector list = new Vector();
        Vector categories = shopper.getCategories();
        for (int i = 0, nc = categories.size(); i < nc; i++) {
            Category category = (Category)categories.elementAt(i);
            Vector products = category.products;
            for (int j = 0, np = products.size(); j < np; j++) {  
                Product product = (Product)products.elementAt(j);
                if (shopper.isSelected(product)) {
                    list.addElement(product);
                    append(product.name, category.icon);
                }
            }
        }
        int n = list.size();
        needed = new Product[n];
        selected = new boolean[n];
        for (int i = 0; i < n; i++) { 
            selected[i] = true;
            needed[i] = (Product)list.elementAt(i);
        }
        setSelectedFlags(selected);
        setCommandListener(this) ;
        addCommand(Shopper.BACK_CMD);
    }

    public void commandAction(Command c, Displayable d)  {
        if (c == Shopper.BACK_CMD) { 
            getSelectedFlags(selected);           
            Shopper shopper = Shopper.getInstance();
            boolean modified = false;
            for (int i = 0; i < needed.length; i++) { 
                Product product = needed[i];
                modified |= shopper.setSelected(needed[i], selected[i]);
            }                   
            if (modified) {
                shopper.saveSelected();
            }
            Shopper.goBack();
        }
    }
}
