package midp.shopper;

import javax.microedition.lcdui.*;

class NewCategoryBox extends TextBox implements CommandListener 
{
    static final int MAX_CATEGORY_NAME_LENGTH = 32;

    private List parent;

    public NewCategoryBox(List parent) 
    { 
        super(Locale.current.add, "", MAX_CATEGORY_NAME_LENGTH, TextField.ANY); 
        this.parent = parent;
        setCommandListener(this);
        addCommand(Shopper.ENTER_CMD);
        addCommand(Shopper.BACK_CMD);
        Display.getDisplay(Shopper.getInstance()).setCurrent(this);
    }
    
    public void commandAction(Command c, Displayable d)  
    {
        Shopper shopper = Shopper.getInstance();
        if (c == Shopper.ENTER_CMD) {
            String value = getString().trim();
            if (value.length() != 0) { 
                Category category = shopper.addCategory(value);
                parent.append(value, category.icon);
            }
        }
        Display disp = Display.getDisplay(shopper);
        disp.setCurrent(parent);
    }
}
